<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
  "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sy.coinage.sys.dao.DictDao">
  <sql id="Base_Column_List">
    id
    , status, levels, sorted, pid, name, tag, val, tenant_id
  </sql>
  <select id="queryList" resultType="com.sy.coinage.sys.vo.DictListVO">
    select
    <include refid="Base_Column_List"/>
    from sys_dict
    <if test="ew.emptyOfWhere == false">
      ${ew.customSqlSegment}
    </if>
  </select>
  <select id="queryOptList" resultType="com.sy.coinage.core.vo.OptVO">
      select id, name, pid, val, val as value
      from sys_dict
      <if test="ew.emptyOfWhere == false">
      ${ew.customSqlSegment}
    </if>
  </select>
</mapper>
